# DarContact: Dag Wieers <dag@wieers.com>

Summary: A tray applet for displaying phonetic alphabets.
Name: alphapplet
Version: 1.0
Release: 0
Group: Applications/System
License: GPL
URL: http://dag.wieers.com/home-made/gnome-applets/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://dag.wieers.com/home-made/gnome-applets/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildRequires: mono, gtk-sharp
### FIXME: gtk-sharp needs gtk2 *.so files and libegg
Requires: mono, gtk-sharp, gtk2-devel, libegg.dll

%description
Alphapplet is a tray applet for displaying phonetic alphabets.
It is meant for people who often need to spell out passwords or
other things and lack creativity or have too much creativity ;)

%prep
%setup

cat <<EOF >gnome-%{name}.desktop
[Desktop Entry]
Name=Phonetic Alphabet applet
Comment=%{summary}
Icon=alphapplet.png
Exec=%{name}
Terminal=false
Type=Application
EOF

%build
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

%{__install} -d -m0755 %{buildroot}%{_datadir}/pixmaps/ \
			%{buildroot}%{_datadir}/applications
%{__install} -m0644 alphapplet.png %{buildroot}%{_datadir}/pixmaps/

desktop-file-install --vendor gnome                \
	--add-category X-Red-Hat-Base              \
	--add-category Application                 \
	--add-category System                      \
	--add-category Utility                     \
	--dir %{buildroot}%{_datadir}/applications \
	gnome-%{name}.desktop

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING COPYRIGHT README TODO
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*

%changelog
* Fri Jun 13 2003 Dag Wieers <dag@wieers.com> - 0.1-0
- Initial package. (using DAR)
